Skip to main content
POST
/
posts
/
create
Create posts
curl --request POST \
  --url https://api.woopsocial.com/v1/posts/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "idempotencyKey": "<string>",
    "projectId": "<string>",
    "socialAccountId": "<string>",
    "scheduledForUTC": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "description": "<string>",
    "firstComment": "<string>",
    "mediaIds": [
      "<string>"
    ],
    "platformSpecificData": {
      "pinterest": {
        "pinterestBoardId": "<string>"
      },
      "instagram": {
        "postType": "POST"
      },
      "facebook": {
        "postType": "TEXT_ONLY",
        "link": "<string>"
      },
      "tiktok": {
        "postType": "VIDEO",
        "privacyLevel": "PUBLIC_TO_EVERYONE",
        "allowComment": true,
        "allowDuet": true,
        "allowStitch": true,
        "contentDisclosureEnabled": true,
        "isYourBrand": true,
        "isBrandedContent": true,
        "autoAddMusic": true
      },
      "youtube": {
        "privacy": "public",
        "category": "<string>",
        "tags": [
          "<string>"
        ],
        "madeForKids": true
      }
    }
  }
]
'
{
  "results": [
    {
      "idempotencyKey": "<string>",
      "status": "CREATED",
      "id": "<string>",
      "error": {
        "code": "INVALID_PROJECT_ID",
        "message": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Minimum array length: 1
idempotencyKey
string
required

Client-provided item idempotency key.

Minimum string length: 1
projectId
string
required

Project identifier.

socialAccountId
string
required

Connected social account identifier.

scheduledForUTC
string<date-time>
required

UTC time when this post should be published.

title
string
description
string
firstComment
string
mediaIds
string[]

Media identifiers previously created via the external media upload flow.

platformSpecificData
object

Platform-specific publishing options.

At most one platform object may be present.

Some platforms, such as X, LinkedIn, and LinkedIn Pages, currently do not define platform-specific options. For those platforms, this object can be omitted or sent as an empty object.

The provided platform object must match the publishing account's platform.

Response

200 - application/json

Batched post creation results.

results
object[]
required

Results in the same order as the request items.